[arch-commits] Commit in sbcl/trunk (PKGBUILD sbcl.install)
Juergen Hoetzel
juergen at archlinux.org
Sat Nov 8 23:22:24 UTC 2008
Date: Saturday, November 8, 2008 @ 18:22:24
Author: juergen
Revision: 18761
upgpkg: sbcl 1.0.22-1
Added:
sbcl/trunk/sbcl.install
Modified:
sbcl/trunk/PKGBUILD
--------------+
PKGBUILD | 20 +++++++++++---------
sbcl.install | 22 ++++++++++++++++++++++
2 files changed, 33 insertions(+), 9 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2008-11-08 23:12:22 UTC (rev 18760)
+++ PKGBUILD 2008-11-08 23:22:24 UTC (rev 18761)
@@ -3,18 +3,18 @@
# Maintainer: Kevin Piche <kevin at archlinux.org>
pkgname=sbcl
-pkgver=1.0.18
+pkgver=1.0.22
pkgrel=1
pkgdesc="Steel Bank Common Lisp"
arch=(i686 x86_64)
license=('custom')
depends=('glibc')
-[ "$CARCH" = "i686" ] && makedepends=('cmucl')
-[ "$CARCH" = "x86_64" ] && makedepends=('sbcl')
+makedepends=('sbcl' 'texinfo')
source=("http://dl.sourceforge.net/sourceforge/sbcl/${pkgname}-${pkgver}-source.tar.bz2" \
"sbcl-default-sbcl-home.patch")
+md5sums=('fad4f6634aedadd3212804b65ac89c96' '053ef3ab65501635406134382df17278')
url="http://www.sbcl.org/"
-md5sums=('6ae3ff8c676afd582388daa2b7259314' '053ef3ab65501635406134382df17278')
+install=sbcl.install
build() {
cd ${startdir}/src/${pkgname}-${pkgver}
@@ -27,12 +27,11 @@
(enable :sb-thread)))
EOF
-if [ "${CARCH}" = "x86_64" ]; then
- sh make.sh
- else
- sh make.sh 'lisp -build'
-fi
+ sh make.sh sbcl
mkdir -p ${startdir}/pkg/usr
+ pushd doc/manual
+ make info || return 1
+ popd
INSTALL_ROOT=${startdir}/pkg/usr sh install.sh
# drop unwanted files
@@ -40,6 +39,9 @@
find ${startdir}/pkg -name .cvsignore -exec rm -rf {} \;
find ${startdir}/pkg -name Makefile -exec rm -rf {} \;
+ rm $startdir/pkg/usr/share/info/dir
+ gzip -9nf $startdir/pkg/usr/share/info/*
+
# license
install -D -m644 ${startdir}/src/${pkgname}-${pkgver}/COPYING \
${startdir}/pkg/usr/share/licenses/${pkgname}/license.txt
Added: sbcl.install
===================================================================
--- sbcl.install (rev 0)
+++ sbcl.install 2008-11-08 23:22:24 UTC (rev 18761)
@@ -0,0 +1,22 @@
+info_dir=/usr/share/info
+info_files=(asdf.info sbcl.info)
+
+post_install() {
+ for f in ${info_files[@]}; do
+ install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ for f in ${info_files[@]}; do
+ install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+op=$1
+shift
+$op $*
More information about the arch-commits
mailing list